Update dbt configuration
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"autogenRelationships": true,
"branch": "main",
"enableVirtualSchemas": false,
"sshUrl": "git@github.com:org/repo.git",
"dbtVersion": "1.11",
"enableSemanticLayer": false,
"projectRootPath": "dbt_project",
"rotateKeys": false
}
'import requests
url = "https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt"
payload = {
"autogenRelationships": True,
"branch": "main",
"enableVirtualSchemas": False,
"sshUrl": "git@github.com:org/repo.git",
"dbtVersion": "1.11",
"enableSemanticLayer": False,
"projectRootPath": "dbt_project",
"rotateKeys": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
autogenRelationships: true,
branch: 'main',
enableVirtualSchemas: false,
sshUrl: 'git@github.com:org/repo.git',
dbtVersion: '1.11',
enableSemanticLayer: false,
projectRootPath: 'dbt_project',
rotateKeys: false
})
};
fetch('https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "dbt configuration updated successfully",
"success": true
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}dbt configuration
Update dbt configuration
Connection Admin permissions are required to use this endpoint.
Update the dbt configuration for the specified connection.
PUT
/
v1
/
connections
/
{connectionId}
/
dbt
Update dbt configuration
Authorizations
bearerAuthorgApiKey
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
ID of the connection where dbt is configured
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Automatically generate relationships from dbt
Example:
true
Git branch name
Minimum string length:
1Example:
"main"
Enable virtual schemas from dbt
Example:
false
SSH URL for git repository
Minimum string length:
1Example:
"git@github.com:org/repo.git"
dbt version to use
Available options:
Auto, 1.10, 1.11 Example:
"1.11"
Example:
false
Path to dbt project root within repository
Pattern:
^(?!\/)(?!.*\.\.)[\w ./-]+$Example:
"dbt_project"
Rotate SSH deploy keys
Example:
false
Was this page helpful?
⌘I

